Package Details: linux-selinux 5.3.12.1-1

Git Clone URL: https://aur.archlinux.org/linux-selinux.git (read-only)
Package Base: linux-selinux
Description: The Linux SELinux kernel and modules
Upstream URL: https://git.archlinux.org/linux.git/log/?h=v5.3.12-arch1
Keywords: kernel linux selinux
Licenses: GPL2
Groups: selinux
Submitter: Siosm
Maintainer: IooNag
Last Packager: IooNag
Votes: 20
Popularity: 0.000001
First Submitted: 2014-05-30 18:26
Last Updated: 2019-11-22 18:54

Latest Comments

1 2 Next › Last »

IooNag commented on 2019-10-29 21:28

NobodyDBG: This package follows core/linux, which uses https://git.archlinux.org/linux.git instead of the original Linux git repository (or its GitHub mirror). Please ask for the core package to modify its source location if you want linux-selinux to be modified too.

NobodyDBG commented on 2019-10-21 15:37

Please change PKGBUILD to original Linux GitHub.

egrupled commented on 2018-09-17 19:10

SElinux is now available in linux 4.18.8 package from repos: https://wiki.archlinux.org/index.php/SELinux#Current_status_in_Arch_Linux

IooNag commented on 2017-12-15 19:02

Sorry, I forgot to rebuild the package after modifying the config file in order to match the generated config.last. This should now be fixed. Thanks for the report!

RemoteAdmin commented on 2017-12-15 05:56

config fails the validation even if both gpg keys are imported

==> Validating source files with sha256sums...

linux-4.14.tar.xz ... Passed

linux-4.14.tar.sign ... Skipped

patch-4.14.5.xz ... Passed

patch-4.14.5.sign ... Skipped

config ... FAILED

60-linux.hook ... Passed

90-linux.hook ... Passed

linux.preset ... Passed

0001-add-sysctl-to-disallow-unprivileged-CLONE_NEWUSER-by.patch ... Passed

==> ERROR: One or more files did not pass the validity check!

thestinger commented on 2017-05-07 17:53

FWIW, the official linux-hardened package now enables SELinux support alongside the kernel self-protection patches: https://www.archlinux.org/packages/community/x86_64/linux-hardened/. The aim is to gradually replace PaX/grsecurity now that they're no longer publicly available and SELinux is the chosen RBAC implementation.

ahphaw5S commented on 2016-06-18 19:42

*-selinux/build/include directory is missing. Thanks for the answer! Installing linux-selinux-headers solves the problem with dkms.

IooNag commented on 2016-06-17 19:10

Hello, this package is a split package for linux-selinux, linux-selinux-headers and linux-selinux-docs. In order to make it work with DKMS, you need to install both linux-selinux and linux-selinux-headers once you build the packages.
Also I didn't understand what you mean by "make DKMS hook think that I have this package installed": do you have files in /usr/lib/modules/4.6.2-1-selinux/build/include/ directory?

ahphaw5S commented on 2016-06-17 12:27

Sorry for a dull and, possibly, unrelated question.

As far as I understand this is the same package as linux-selinux. But DKMS hook for virtualbox related modules complains that I don't have *-selinux header. Is there a way to make DKMS hook think that I have this package installed? I don't really want to recompile it on virtualbox...

Siosm commented on 2014-11-13 22:33

Hum, apparently this was already tried. I'll have a look asap.